### Function

# Pango ScriptIter new

since: 1.4

#### Declaration [src]

    PangoScriptIter*
    pango_script_iter_new (
      const char* text,
      int length
    )

#### Description [src]

Create a new `PangoScriptIter`, used to break a string of Unicode text into runs by Unicode script.

No copy is made of `text`, so the caller needs to make sure it remains valid until the iterator is freed with `pango_script_iter_free()`.

Available since: 1.4

#### Parameters

`text`

  Type: `const char*`

  A UTF-8 string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `int`

  Length of `text`, or -1 if `text` is nul-terminated.

#### Return value

Type: `PangoScriptIter`

The new script iterator, initialized to point at the first range in the text, which should be freed with `pango_script_iter_free()`. If the string is empty, it will point at an empty range.

The caller of the function takes ownership of the data, and is responsible for freeing it.